%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           python-tarfile
Version:        0.7.2
Release:        0.fdr.1.1
Epoch:          0
Summary:        Reading and writing tar files in Python

Group:          Development/Libraries
License:        Distributable
URL:            http://www.gustaebel.de/lars/tarfile/
Source0:        http://www.gustaebel.de/lars/tarfile/tarfile-0.7.2.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python-devel >= 0:2.2
BuildConflicts: python-devel >= 0:2.3
Requires:       python >= 0:2.2, python < 0:2.3, python-bz2

%description
tarfile is a comprehensive implementation of the tar archive format as
a module for the Python Language. It enables read/write access to
common tar archives including support for gzip/bzip2 compressed
archives.


%prep
%setup -q -n tarfile-%{version}


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc HISTORY README doc contrib
%{python_sitearch}/_tarfile.so
%{python_sitearch}/tarfile.py
%{python_sitearch}/tarfile.pyc
%ghost %{python_sitearch}/tarfile.pyo


%changelog
* Sun Mar 14 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.7.2-0.fdr.1
- Update to 0.7.2.
- Cosmetic specfile tweaks according to fedora.us python module spec template.

* Sat Nov 22 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.7.1-0.fdr.2
- Remove install-time conflict with python >= 2.3, require python < 2.3
  instead (bug 934).

* Sat Nov 15 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.7.1-0.fdr.1
- Update to 0.7.1.

* Sat Nov  8 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.7-0.fdr.1
- Update to 0.7.

* Wed Nov  5 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.6.9-0.fdr.1
- Update to 0.6.9.

* Sun Nov  2 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.6.8-0.fdr.1
- Update to 0.6.8.

* Sun Aug 24 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.6.7-0.fdr.2
- Include (%%ghost'd) *.pyo.

* Tue Aug 12 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.6.7-0.fdr.1
- Update to 0.6.7.
- (Build)Conflicts python-devel >= 0:2.3 (already included there).

* Sat Jul 26 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.6.6-0.fdr.2
- Use --root $RPM_BUILD_ROOT instead of --prefix $RPM_BUILD_ROOT%%{_prefix}.

* Thu Jun 26 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.6.6-0.fdr.1
- First build.
